Foros del Web » Programando para Internet » PHP » Zend »

Problema de seguridad según proveedor de hosting

Estas en el tema de Problema de seguridad según proveedor de hosting en el foro de Zend en Foros del Web. Buenos días. Recientemente estamos desarrollando una aplicación con Zend y como es lógico hay que incluir unas rutas y modificar el php.ini Este es el ...
  #1 (permalink)  
Antiguo 08/02/2014, 08:27
 
Fecha de Ingreso: noviembre-2003
Ubicación: Frente a la PC
Mensajes: 120
Antigüedad: 15 años, 8 meses
Puntos: 0
Problema de seguridad según proveedor de hosting

Buenos días.
Recientemente estamos desarrollando una aplicación con Zend y como es lógico hay que incluir unas rutas y modificar el php.ini

Este es el error que mustra por no tener correctamente el path:

Código:
Exception thrown trying to access Zend/Loader.php using 'use_include_path' = true. Make sure you include Zend Framework in your include_path which currently contains: .:/usr/lib/php:/usr/local/lib/php
y lo que debería tener es
Código:
.:/usr/lib/php:/usr/local/lib/php:/home/tomasito/aplicacion/library/Zend
Mi pregunta es, es realmente esto una vulnerabilidad para un servidor compartido?

Gracias.
__________________
Sin sombra no hay luz...
  #2 (permalink)  
Antiguo 08/02/2014, 09:34
Avatar de masterpuppet
Software Craftsman
 
Fecha de Ingreso: enero-2008
Ubicación: Montevideo, Uruguay
Mensajes: 3.550
Antigüedad: 11 años, 6 meses
Puntos: 845
Respuesta: Problema de seguridad según proveedor de hosting

Puede ser un problema de seguridad si el hosting agrega tu path al php.ini del sistema, de todas formas tu simplemente deberias agregar tu path de forma dinamica con set_include_path
__________________
http://es.phptherightway.com/
thats us riders :)

Etiquetas: hosting, proveedor, según, seguridad
Atención: Estás leyendo un tema que no tiene actividad desde hace más de 6 MESES, te recomendamos abrir un Nuevo tema en lugar de responder al actual.
Respuesta




La zona horaria es GMT -6. Ahora son las 12:12.